# Short Positions (HK)

`GET` `/v1/quote/short-positions/hk`

Get short interest data for HK securities from HKEX, updated daily.

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | Security symbol, e.g. `TSLA.US` or `700.HK` |
| `count` | integer | No | Number of records to return (1–100, default: 20) |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/short-positions/hk?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | No | Security symbol, e.g. `700.HK`. |
| `update_timestamp` | string | No | Last update time (Unix seconds). |
| `data` | object[] | No | Daily HKEX short-position records. |
| `└ timestamp` | string | No | Record date (Unix seconds). |
| `└ amount` | string | No | Short-sold shares that day. |
| `└ balance` | string | No | Outstanding short-position value. |
| `└ rate` | string | No | Short-position ratio. |
| `└ cost` | string | No | Average short-position price. |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": [
    {
      "timestamp": "2022-03-15T04:00:00Z",
      "current_shares_short": "111286790",
      "avg_daily_share_volume": "95077016",
      "days_to_cover": "1.17",
      "rate": "0.0068",
      "close": ""
    }
  ]
}
```
